<?php
/**
 * Model dla klasy MfProductAttributeCategory
 *
 * @author ModGen
 */

class MfProductAttributeCategory extends DataObject{


	/**
	 * nazwa tabeli
	 */
	static $tableName = 'mf_product_attribute_category';

	/**
	 * nazwa klucza tabeli
	 */
	static $classTablePK = 'id_mf_product_attribute_category';

	/**
	 * nazwa klasy
	 */
	static $className = __CLASS__;

	/**
	 * tablica mapująca pola klasy
	 */
	static $fields = array(
		'id_mf_product_attribute_category' => 'id',
		'publication' => 'publication',
		'weight' => 'weight',
		'id_parent' => 'idParent'
	);


	protected $id;
	private $publication;
	private $weight;
	private $idParent;



	// -- Konstruktor --


	function __construct( $id = -1 , $publication = null, $weight = null, $idParent = null){
		$this->id = $id;
		$this->publication = $publication;
		$this->weight = $weight;
		$this->idParent = $idParent;
	}



	// -- Get-y i Set-y --

	public function getId(){
		return $this->id;
	}

	public function setId($id){
		$this->id = $id;
	}

	
	public function getPublication(){
		return $this->publication;
	}

	public function setPublication($publication){
		$this->publication = $publication;
	}

	
	public function getWeight(){
		return $this->weight;
	}

	public function setWeight($weight){
		$this->weight = $weight;
	}

	
	public function getIdParent(){
		return $this->idParent;
	}

	public function setIdParent($idParent){
		$this->idParent = $idParent;
	}

	




	/**
	* Pobiera nazwę tabeli reprezentującej obiekt w SQL
	* @return string
	*/
	public  function GetTableName(){
	return self::$tableName;
	}

	/**
	* Pobiera nazwę klucza głównego tabeli
	* @return string
	*/
	public function GetClassTablePK() {
		return self::$classTablePK;
	}

	/**
	* Pobiera tablice mapującą pola klasy na pola tabeli
	* @return array
	*/
	public  function GetFields(){
		return self::$fields;
	}

	/**
	* Pobiera nazwę klasy
	* @return string
	*/
	public  function GetClassName(){
		return self::$className;
	}



}

?>